#pragma once
#include "dll_macro.h"
#include <string>
struct innerParameterDescription;
class DLL_API ParameterDescription
{
public:
    ParameterDescription(char* name, char* description, float defaultValue);
    bool isNull() const;
    std::string getName();
    float getDefaultValue();
private:
    std::shared_ptr<innerParameterDescription> inner;
};
